target: libprog.dl

libprog.dl: prog1.o prog1_chdl.o \
            prog2.o prog2_chdl.o \
            prog3_chdl.o
	ch dllink libprog.dl prog1.o prog1_chdl.o \
                             prog2.o prog2_chdl.o \
                             prog3_chdl.o

prog1.o: prog1.c
	ch dlcomp libprog.dl prog1.c
prog1_chdl.o: prog1_chdl.c
	ch dlcomp libprog.dl prog1_chdl.c
prog2.o: prog2.c
	ch dlcomp libprog.dl prog2.c
prog2_chdl.o: prog2_chdl.c
	ch dlcomp libprog.dl prog2_chdl.c
prog3_chdl.o: prog3_chdl.c
	ch dlcomp libprog.dl prog3_chdl.c

clean:
	rm -f *.o *.obj libprog.dl libprog.exp libprog.lib
